import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
export interface ToolbarChipButtonElement {
    $: {
        button: HTMLElement;
    };
}
export declare class ToolbarChipButtonElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        ariaLabel: {
            type: StringConstructor;
            attribute: string;
        };
        ariaDescription: {
            type: StringConstructor;
            attribute: string;
        };
        tooltip: {
            type: StringConstructor;
            attribute: string;
        };
        ariaHasPopup: {
            type: StringConstructor;
            attribute: string;
        };
        ariaExpanded: {
            type: StringConstructor;
            attribute: string;
        };
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    accessor ariaLabel: string;
    accessor ariaDescription: string;
    accessor tooltip: string;
    accessor ariaHasPopup: string | null;
    accessor ariaExpanded: string | null;
    accessor disabled: boolean;
    focus(): void;
    protected onPrefixIconSlotchange_(e: Event): void;
    protected onSuffixIconSlotchange_(e: Event): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'toolbar-chip-button': ToolbarChipButtonElement;
    }
}
